CURLOPT_MAXFILESIZE_LARGE(3)

NAME
CURLOPT_MAXFILESIZE_LARGE - maximum file size allowed to download

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_MAXFILESIZE_LARGE,
                          curl_off_t size);

DESCRIPTION
Pass a curl_off_t as parameter. This allows you to specify the maximum size (in bytes) of a file to download. If the file requested is found larger than this value, the transfer will not start and CURLE_FILESIZE_EXCEEDED will be returned. For protocols where the size is not known in advance (including FTP and HTTP) this option has no effect even if the file transfer ends up being larger than the given limit.

DEFAULT
None

PROTOCOLS
FTP, HTTP and MQTT

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  CURLcode ret;
  curl_off_t ridiculous = 1 << 48;
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com/");
  /* refuse to download if larger than ridiculous */
  curl_easy_setopt(curl, CURLOPT_MAXFILESIZE_LARGE, ridiculous);
  ret = curl_easy_perform(curl);
}

AVAILABILITY
Added in 7.11.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_MAXFILESIZE(3), CURLOPT_MAX_RECV_SPEED_LARGE(3),